3

I have downloaded the dataloader latest version v37.0 from salesforce. but i am unable to login getting the below error message. Please find below screet shot for the error message.

Login Screenshot

I have provided the proxy host and Proxy port correctly which worked fine for the previous versions (v32.0, v34.0).

Also, We faced the same issue for the previous versions (32, 34) of dataloader and we installed the certificate(valid till 2019) under the below path, after that it’s worked fine without any issues.

C:\Program Files (x86)\salesforce.com\Data Loader\Java\lib\security\cacerts

But in the latest version we don’t see these Java, Lib,Security folders in the Dataloader folder.

Can anyone please let me know how to install a certificate for latest version?

3

As per the latest release notes documented here

Salesforce no longer bundles Java with the Data Loader for Windows installer. Download and install Java on your Windows computer.

We recommend that you set the JAVA_HOME environment variable to the directory where the Java Runtime Environment (JRE) is installed. Doing so ensures that you can run Data Loader in batch mode from the command line.

So you will have to find your JAVA folder yourself (It will be where your Java folder is located after Java or JRE 1.8 Installation) and you can search for lib folder and continue placing certificate there

Also there is an option for oauth which is more easier and directly takes you to browser and authenticates which might be easiest bet for newer versions

  • 1
    That's annoying. Why would they unbundle like that? – Adrian Larson Jul 4 '16 at 19:01
  • Good question for Salesforce Product Team and I am not sure .All that I know is I looked into docs and clearly they no more bundle JAVA along with data loader – Mohith Shrivastava Jul 4 '16 at 19:03
  • Hi @MohithShrivastava ,Thank you so much for your quick response! i couldn't understand the below line. Could you please help me understanding the below lines? "We recommend that you set the JAVA_HOME environment variable to the directory where the Java Runtime Environment (JRE) is installed. Doing so ensures that you can run Data Loader in batch mode from the command line." How to run the Data loader in batch mode from the command line??? Also, As you suggested, i tried to login with OAuth option, but getting the below OAuth Error message. – Sab__Dev Jul 4 '16 at 19:33
  • OAuth Error message. "We can't authorize you because of an OAuth error. For more information, contact your Salesforce administrator. You didn't complete the approval process before it expired. Please try again. – Sab__Dev Jul 4 '16 at 19:36
  • 1
    HI @MohithShrivastava , after i placed the certificate in java folder, i am able to successfully login Latest version of the Dataloader. Thank you so much for your quick help on this. – Sab__Dev Jul 4 '16 at 20:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.